Page MenuHomeFreeBSD

lang/rust, lang/rust-nightly: Generate PLIST in post-install
ClosedPublic

Authored by dumbbell on Feb 26 2017, 9:47 PM.
Tags
None
Referenced Files
Unknown Object (File)
Sun, Jul 14, 7:38 PM
Unknown Object (File)
Sun, Jul 14, 6:53 PM
Unknown Object (File)
Mon, Jun 24, 12:07 PM
Unknown Object (File)
Jun 21 2024, 5:05 PM
Unknown Object (File)
Jun 18 2024, 2:48 PM
Unknown Object (File)
May 4 2024, 9:41 AM
Unknown Object (File)
May 3 2024, 4:28 PM
Unknown Object (File)
May 3 2024, 3:33 AM
Subscribers

Details

Summary

Several libraries hae their filename computed and based on the absolute path to source files. Therefore, we need to generate the PLIST. Rust installer already produces manifests listing files it installs. The port now uses those files to complete ${TMPPLIST}.

Handling of DOCS-specific files is also unified with normal files. This gets rid of code duplication.

Test Plan

Tested locally and in Poudriere where paths are different in both cases

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

dumbbell retitled this revision from to lang/rust, lang/rust-nightly: Generate PLIST in post-install.
dumbbell updated this object.
dumbbell edited the test plan for this revision. (Show Details)
dumbbell added reviewers: riggs, antoine, bapt.

Forgot to mention: this fixes a staging failure for many people building the port outside of Poudriere, because the filenames depend on the source files location. Here is the Bugzilla report related to this:
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=217309

The patch was tested successfully by one of the reporters.

riggs edited edge metadata.
riggs added inline comments.
lang/rust/Makefile
207 ↗(On Diff #25728)

Sorry for being picky, but these seem like pure whitespace changes. Can you revert those changes?

This revision is now accepted and ready to land.Mar 4 2017, 12:05 PM
dumbbell edited edge metadata.

Revert a whitespace change

This revision now requires review to proceed.Mar 4 2017, 1:19 PM
riggs edited edge metadata.
This revision is now accepted and ready to land.Mar 4 2017, 2:53 PM
antoine edited edge metadata.

Does upstream plan to provide a way to have reproducible builds?

I don't know, I will ask them about that as I have the same concern.

This revision was automatically updated to reflect the committed changes.